package com.spring.series.collections;

import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class TestEmployee {

	public static void main(String[] args) {
		testSpringCollections();
	}

	private static void testSpringCollections(){

		ApplicationContext applicationContext = new ClassPathXmlApplicationContext("com/spring/series/collections/SpringCollections.xml");
		Employee employee = (Employee) applicationContext.getBean("employee");

		System.out.println("List:\n"+ employee.getListAddress());
		System.out.println("\nSet:\n"+ employee.getSetAddress());
		System.out.println("\nMap:\n"+ employee.getMapAddress());
		System.out.println("\nProps:\n"+ employee.getPropsAddress());
	}
}